import { AbstractType, DestroyRef, ElementRef, InjectionToken, Provider, ProviderToken, Type } from '@angular/core';
import { HTML } from './renderer';
import * as i0 from "@angular/core";
export declare function provideHTMLDomElement(): Provider;
export declare function provideHTMLDomElement(factory: () => HTMLElement): Provider;
export declare function provideHTMLDomElement<TDeps extends Array<ProviderToken<any>>, TValues extends {
    [K in keyof TDeps]: TDeps[K] extends Type<infer T> | AbstractType<infer T> | InjectionToken<infer T> ? T : never;
}>(deps: TDeps, factory: (...args: TValues) => HTMLElement): Provider;
export declare abstract class NgtHTML {
    static [HTML]: boolean;
    protected store: import("angular-three").NgtSignalStore<import("angular-three").NgtState>;
    protected destroyRef: DestroyRef;
    protected host: ElementRef<HTMLElement>;
    protected domElement: HTMLElement | "gl" | null;
    constructor();
    static ɵfac: i0.ɵɵFactoryDeclaration<NgtHTML, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<NgtHTML, never, never, {}, {}, never, never, true, never>;
}
