import { Injector } from '@angular/core';
import { NgtCanvasElement, NgtCanvasOptions } from './types';
export declare function injectCanvasRootInitializer(injector?: Injector): (canvas: NgtCanvasElement) => {
    isConfigured: boolean;
    destroy: (timeout?: number) => void;
    configure: (inputs: NgtCanvasOptions) => void;
};
export type NgtCanvasConfigurator = ReturnType<ReturnType<typeof injectCanvasRootInitializer>>;
export declare function dispose<TObj extends {
    dispose?: () => void;
    type?: string;
    [key: string]: any;
}>(obj: TObj): void;
