import { NgtInstanceNode } from '../types';
export declare const enum NgtRendererClassId {
    type = 0,
    parent = 1,
    children = 2,
    destroyed = 3,
    rawValue = 4,
    portalContainer = 5,
    debugNode = 6,
    debugNodeFactory = 7
}
export declare function kebabToPascal(str: string): string;
export declare function attachThreeChild(parent: NgtInstanceNode, child: NgtInstanceNode): void;
export declare function removeThreeChild(child: NgtInstanceNode, parent?: NgtInstanceNode, dispose?: boolean): void;
export declare function processThreeEvent(instance: NgtInstanceNode, priority: number, eventName: string, callback: (event: any) => void): () => void;
