import { InjectOptions, InjectionToken } from '@angular/core';
import { NgtState } from './types';
import { NgtSignalStore } from './utils/signal-store';
declare function storeFactory(previousStore: NgtSignalStore<NgtState> | null): NgtSignalStore<NgtState>;
export declare const NGT_STORE: InjectionToken<NgtSignalStore<NgtState>>;
export declare function provideStore(store?: () => NgtSignalStore<NgtState>): {
    provide: InjectionToken<NgtSignalStore<NgtState>>;
    useFactory: typeof storeFactory;
};
export declare function injectStore(options: InjectOptions & {
    optional?: false;
}): NgtSignalStore<NgtState>;
export declare function injectStore(options: InjectOptions): NgtSignalStore<NgtState> | null;
export declare function injectStore(): NgtSignalStore<NgtState>;
export {};
