import { NgtAnyRecord, NgtAttachFunction, NgtState } from '../types';
import { NgtSignalStore } from './signal-store';
export declare function attach(object: NgtAnyRecord, value: unknown, paths?: string[], useApplyProps?: boolean): void;
export declare function detach(parent: NgtAnyRecord, child: NgtAnyRecord, attachProp: string[] | NgtAttachFunction): void;
export declare function createAttachFunction<TChild = any, TParent = any>(cb: (params: {
    parent: TParent;
    child: TChild;
    store: NgtSignalStore<NgtState>;
}) => (() => void) | void): NgtAttachFunction<TChild, TParent>;
